{
  "custom": {},
  "params": {},
  "props": {
    "defaultSize": {
      "height": 500,
      "width": 1920
    }
  },
  "root": {
    "children": [
      {
        "custom": {
          "test": 1649717949000
        },
        "meta": {
          "name": "Lane Status"
        },
        "propConfig": {
          "props.query": {
            "binding": {
              "config": {
                "expression": "now(1000)"
              },
              "enabled": false,
              "type": "expr"
            },
            "onChange": {
              "enabled": null,
              "script": "\t\n\tfrom system import date\n\t\n\tfrom java.lang import System\n\t\n\tfrom com.inductiveautomation.ignition.common.config import BasicProperty\n\t\n\tfrom com.inductiveautomation.ignition.common.alarming.config import CommonAlarmProperties\n\t\n\tp_tag \u003d BasicProperty(\"Tag\", BasicProperty().getType())\n\tp_jam \u003d BasicProperty(\"Jam\", BasicProperty().getType())\n\tp_full \u003d BasicProperty(\"Full\", BasicProperty().getType())\n\t\n\tdef testRow2(startTime,endTime,lane,count,duration,type):\n\t  return {\n\t  \"value\":{\n\t\t  \"StartTimestamp\": startTime, \n\t\t  \"EndTimestamp\": endTime,\n\t\t  \"Lane\": lane,\n\t\t  \"Count\": count,\n\t\t  \"Duration\": duration,\n\t\t  \"Type\": type\n\t\t  }\n\t  } \n\t\n\tdef testRow(startTime,endTime,lane,fullCount,jamCount,fullDuration,jamDuration):\n\t\t  return {\n\t\t  \"value\":{\n\t\t\t  \"StartTimestamp\": startTime, \n\t\t\t  \"EndTimestamp\": endTime,\n\t\t\t  \"Lane\": lane,\n\t\t\t  \"FullCount\": fullCount,\n\t\t\t  \"JamCount\": jamCount,\n\t\t\t  \"FullDuration\": fullDuration,\n\t\t\t  \"JamDuration\": jamDuration\n\t\t\t  }\n\t\t  } \n  \t\t  \n\tdata \u003d []\n\t\n\tpar_class \u003d [(\"Jam\",\"\u003d\",\"1\"),(\"Full\",\"\u003d\",\"1\")]\n\t\n\tevents \u003d system.alarm.queryJournal(journalName\u003d\"Journal\", startDate\u003dself.parent.parent.parent.getChild(\"Period_not_Global_0\").custom.StartDate, \n\tendDate\u003dself.parent.parent.parent.getChild(\"Period_not_Global_0\").custom.EndDate,state\u003d[\u0027ActiveUnacked\u0027],any_properties\u003dpar_class, includeData\u003dTrue)\n\t\t\n\t# Get a dict where the key is alarm id and the value is a list of corresponding events.\n\talarms \u003d {}\n\tfor e in events:\n\t\tif e.source in alarms: alarms[e.source].append(e)\n\t\telse: alarms[e.source] \u003d [e]\n\t\t\n\t\n\t# Get the active duration for each alarm id\n\tfor id in alarms:\n\t\tactTime \u003d None\n\t\tclrTime \u003d None\n\t\talarmEvents \u003d alarms[id]\n\t\tcount \u003d 0\n\t\ttimes \u003d []\n\t\tstartCount \u003d 0\n\t\tfor e in alarmEvents:\n\t\t\t# Get active time\n\t\t\td \u003d e.activeData\n\t\t\tif d !\u003d None and d.get(p_tag) !\u003d None:\n\t\t\t\tactTime \u003d d.timestamp\n\t\t\t\tlane \u003d d.get(p_tag)\n\t\t\t\tif d.get(p_jam) !\u003d None:\n\t\t\t\t\ttype \u003d \"Jam\"\n\t\t\t\telse:\n\t\t\t\t\ttype \u003d \"Full\"\n\t\t\t\tlane \u003d lane.replace(\"[Interroll]\",\"\")\n\t\t\t\tfirst \u003d lane.find(\"[\")\n\t\t\t\tsecond \u003d lane.find(\"]\")\n\t\t\t\tlane \u003d \"S1-CH\" + lane[first + 1:second]\n\t\t\t\tcount \u003d count + 1\n\t\t\t\ttimes.append(d.timestamp)\n\t\t\t\tstartCount \u003d 1\t\t\n\t\t\t# Get cleared time\n\t\t\tfindOutsidePeriod \u003d system.db.runQuery(\"SELECT eventtime FROM alarm_events where eventid \u003d \" + \"\u0027\" + str(e.id) + \"\u0027 AND eventtype \u003d 1\",\"MariaDB80\")\n\t\t\tif len(findOutsidePeriod) \u003e 0:\n\t\t\t\tif startCount \u003d\u003d 1:\n\t\t\t\t\ttimes.append(date.toMillis(findOutsidePeriod[0][0]))\n\t\t\t\tclrTime \u003d date.toMillis(findOutsidePeriod[0][0])\n\t\t# Populate Table\n\t\tu \u003d 0\t\t\t\n\t\tduration \u003d 0\n\t\tendTime \u003d \"\"\n\t\tif len(times) \u003e 0:\n\t\t\tif len(times) % 2 \u003d\u003d 0:\n\t\t\t\twhile u \u003c len(times): \n\t\t\t\t\tduration \u003d duration + ((times[u+1] - times[u]) / 1000)\n\t\t\t\t\tu \u003d u + 2\n\t\t\t\tendTime \u003d times[-1]\n\t\t\telse:\n\t\t\t\twhile u \u003c len(times):\n\t\t\t\t\tif u !\u003d len(times) - 1:\n\t\t\t\t\t\tduration \u003d duration + ((times[u+1] - times[u]) / 1000)\n\t\t\t\t\telse:\n\t\t\t\t\t\tduration \u003d duration + ((date.toMillis(date.now()) - times[u]) / 1000)\n\t\t\t\t\tu \u003d u + 2\t\n\t\t\tif actTime !\u003d None:\t\n\t\t\t\tdata.append(testRow2(\n\t\t\t\t#Start Time\t  \n\t\t\t\ttimes[0],\n\t\t\t\t#End Time\n\t\t\t\tendTime,\n\t\t\t\t#Lane\n\t\t\t\tlane,\n\t\t\t\t#Count\n\t\t\t\tcount,\n\t\t\t\t#Duration\n\t\t\t\tdate.format(date.addSeconds(date.midnight(date.now()),duration),\"HH:mm:ss\"),\n\t\t\t\t#Type\n\t\t\t\ttype))\n\t\t\n\tdata2 \u003d []\n\t\n\tfor i in range(110):\n\t\tstartTime \u003d \"\"\n\t\tendTime \u003d \"\"\n\t\tlane \u003d \"S3-CH\" + str(i + 1)\n\t\tfullCount \u003d 0\n\t\tjamCount \u003d 0\n\t\tfullDuration \u003d \"00:00:00\"\n\t\tjamDuration \u003d \"00:00:00\"\n\t\talarming \u003d 0\n\t\tjamEndStamp \u003d \"\"\n\t\tfullEndStamp \u003d \"\"\n\t\tjamStartStamp \u003d \"\"\n\t\tfullStartStamp \u003d \"\"\n\t\tfor d in data:\n\t\t\tif d[\"value\"][\"Lane\"] \u003d\u003d \"S1-CH\" + str(i + 1):\n\t\t\t\t\n\t\t\t\tif d[\"value\"][\"Type\"] \u003d\u003d \"Jam\":\n\t\t\t\t\tjamCount \u003d d[\"value\"][\"Count\"]\n\t\t\t\t\tjamDuration \u003d d[\"value\"][\"Duration\"]\n\t\t\t\t\tjamEndStamp \u003d d[\"value\"][\"EndTimestamp\"]\n\t\t\t\t\tjamStartStamp \u003d d[\"value\"][\"StartTimestamp\"]\n\t\t\t\telse:\n\t\t\t\t\tfullCount \u003d d[\"value\"][\"Count\"]\n\t\t\t\t\tfullDuration \u003d d[\"value\"][\"Duration\"]\n\t\t\t\t\tfullEndStamp \u003d d[\"value\"][\"EndTimestamp\"]\n\t\t\t\t\tfullStartStamp \u003d d[\"value\"][\"StartTimestamp\"]\n\t\t\t\tif (jamStartStamp !\u003d \"\" and jamEndStamp \u003d\u003d \"\") or (fullStartStamp !\u003d \"\" and fullEndStamp \u003d\u003d \"\"):\n\t\t\t\t\tendTime \u003d \"\"\n\t\t\t\telse:\n\t\t\t\t\tif (jamEndStamp \u003e fullEndStamp) and jamEndStamp !\u003d \"\":\n\t\t\t\t\t\tendTime \u003d jamEndStamp\n\t\t\t\t\t\tendTime \u003d date.format(date.fromMillis(endTime),\"yyyy-MM-dd HH:mm:ss\")\n\t\t\t\t\telif fullEndStamp !\u003d \"\":\t\t\t\n\t\t\t\t\t\tendTime \u003d fullEndStamp\n\t\t\t\t\t\tendTime \u003d date.format(date.fromMillis(endTime),\"yyyy-MM-dd HH:mm:ss\")\n\t\t\t\tif jamStartStamp \u003c fullStartStamp:\n\t\t\t\t\tstartTime \u003d jamStartStamp\n\t\t\t\t\tstartTime \u003d date.format(date.fromMillis(startTime),\"yyyy-MM-dd HH:mm:ss\")\n\t\t\t\telse:\n\t\t\t\t\tstartTime \u003d fullStartStamp\n\t\t\t\t\tstartTime \u003d date.format(date.fromMillis(startTime),\"yyyy-MM-dd HH:mm:ss\")\n\t\t\t\t\t\n\t\t\t\t\n\t\t\t\t\n\t\t\t\t\t\n\t\tdata2.append(testRow(\n\t\t\t#Start Time\n\t\t\tstartTime,\n\t\t\tendTime,\n\t\t\tlane,\n\t\t\tfullCount,\n\t\t\tjamCount,\n\t\t\tfullDuration,\n\t\t\tjamDuration))\n\t\t\t\t\t\n\t\t\t\t\n\tself.props.data \u003d data2"
            }
          }
        },
        "props": {
          "columns": [
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY HH:mm:ss",
              "editable": false,
              "field": "StartTimestamp",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "Start Timestamp"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY HH:mm:ss",
              "editable": false,
              "field": "EndTimestamp",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "End Timestamp"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "00:00:00",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "date",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "value",
              "dateFormat": "MM/DD/YYYY HH:mm:ss",
              "editable": false,
              "field": "Lane",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "Lane"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "none",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "FullCount",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "Full (#)"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "JamCount",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "Jam (#)"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "none",
              "editable": false,
              "field": "FullDuration",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "Full Duration"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "none",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "value",
              "dateFormat": "none",
              "editable": false,
              "field": "JamDuration",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "center",
                "style": {
                  "classes": ""
                },
                "title": "Jam Duration"
              },
              "justify": "center",
              "number": "value",
              "numberFormat": "00:00:00",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            }
          ],
          "data": [
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH1",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH2",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH3",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH4",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH5",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH6",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH7",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH8",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH9",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH10",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH11",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH12",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH13",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH14",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH15",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH16",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH17",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH18",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH19",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH20",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH21",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH22",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH23",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH24",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH25",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH26",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH27",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH28",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH29",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH30",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH31",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH32",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH33",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH34",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH35",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH36",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH37",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH38",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH39",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH40",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH41",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH42",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH43",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH44",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH45",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH46",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH47",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH48",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH49",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH50",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH51",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH52",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH53",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH54",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH55",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH56",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH57",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH58",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH59",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH60",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH61",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH62",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH63",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH64",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH65",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH66",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH67",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH68",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH69",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH70",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH71",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH72",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH73",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH74",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH75",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH76",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH77",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH78",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH79",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH80",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH81",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH82",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH83",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH84",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH85",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH86",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH87",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH88",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH89",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH90",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH91",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH92",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH93",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH94",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH95",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH96",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH97",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH98",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH99",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH100",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH101",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH102",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH103",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH104",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 1,
                "JamDuration": "00:07:19",
                "Lane": "S3-CH105",
                "StartTimestamp": "2023-11-06 11:29:53"
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH106",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 1,
                "JamDuration": "00:07:20",
                "Lane": "S3-CH107",
                "StartTimestamp": "2023-11-06 11:29:53"
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH108",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH109",
                "StartTimestamp": ""
              }
            },
            {
              "value": {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH110",
                "StartTimestamp": ""
              }
            }
          ],
          "filter": {
            "enabled": true
          },
          "headerGroups": [
            [
              {
                "align": "center",
                "justify": "left",
                "span": 1,
                "style": {
                  "classes": ""
                },
                "title": ""
              }
            ]
          ],
          "pager": {
            "activeOption": 5,
            "bottom": false,
            "initialOption": 20,
            "options": [
              5,
              10,
              23,
              50,
              100
            ]
          },
          "query": {
            "$": [
              "ts",
              192,
              1745580423847
            ],
            "$ts": 1745580423847
          },
          "rows": {
            "style": {
              "textAlign": "center"
            }
          },
          "selection": {
            "data": [
              {
                "EndTimestamp": "",
                "FullCount": 0,
                "FullDuration": "00:00:00",
                "JamCount": 0,
                "JamDuration": "00:00:00",
                "Lane": "S3-CH16",
                "StartTimestamp": ""
              }
            ],
            "selectedColumn": "FullCount",
            "selectedRow": 15
          },
          "virtualized": false
        },
        "type": "ia.display.table"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}